org.apache.solr.client.solrj.io.ops

## Class ReplaceWithFieldOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.ReplaceWithFieldOperation

- All Implemented Interfaces:
    Serializable, StreamOperation, Expressible

      public class ReplaceWithFieldOperation
      extends Object
      implements StreamOperation

  Implementation of replace(...., withField=fieldName) See ReplaceOperation for description.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplaceWithFieldOperation(String forField, StreamExpression expression, StreamFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operate(Tuple tuple)`
    `Explanation` | `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
    `StreamExpressionParameter` | `toExpression(StreamFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplaceWithFieldOperation

          public ReplaceWithFieldOperation(String forField,
                                           StreamExpression expression,
                                           StreamFactory factory)
                                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### operate

          public void operate(Tuple tuple)

      Specified by:
        `operate` in interface `StreamOperation`

    - #### toExpression

          public StreamExpressionParameter toExpression(StreamFactory factory)
                                                 throws IOException

      Specified by:
        `toExpression` in interface `Expressible`
      Throws:
        `IOException`

    - #### toExplanation

          public Explanation toExplanation(StreamFactory factory)
                                    throws IOException

      Description copied from interface: `Expressible`
      Returns an explanation about the stream object
      Specified by:
        `toExplanation` in interface `Expressible`
      Parameters:
        `factory` - Stream factory for this, contains information about the function name
      Returns:
        Explanation about this stream object containing explanations of any child stream objects
      Throws:
        `IOException` - throw on any error

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.